"use client";
import "@fortawesome/fontawesome-free/css/all.min.css";
import "@/styles/style.css";
import Header from "@/components/Header";
import Footer from "@/components/Footer";

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  const handleBodyClick = () => {
    const menu = document.getElementById("menu_product");
    menu?.classList.remove("active");
  };

  return (
    <html>
      <body>
        <Header />
        <main onClick={handleBodyClick}>{children}</main>
        <Footer />
      </body>
    </html>
  );
}
